List automations
List all runAgent automations that belong to the specified agent. Returns automations in reverse-chronological order (newest first). Use the cursor pagination parameters (limit, after, before) to page through large result sets.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the agent whose automations to list.
Query Parameters
The limit on the number of objects to return, ranging between 1 and 100.
1 <= x <= 100A cursor to use in pagination. after is an object ID that defines your place in the list. For example, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include after=obj_foo to fetch the next page of the list.
A cursor to use in pagination. before is an object ID that defines your place in the list. For example, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include before=obj_bar to fetch the previous page of the list.
Response
List of automations for the agent
The object type, always 'list'.
list Array of automation objects for the current page.
Whether additional pages are available. When true, pass the ID of the last item in data as the after cursor to fetch the next page.